Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.nds
Class NdsReplicaPointer

    java.lang.Object
      |
      +--com.novell.service.nds.NdsReplicaPointer

public class NdsReplicaPointer
extends java.lang.Object
implements NdsAttributeValue, , java.lang.Cloneable, java.io.Serializable

Provides access to values of the Replica Pointer attribute. It is used for attributes whose values represent partition replicas.

Each value of this syntax is composed of five parts:

1. The complete name of the server that stores the replica.
2. A value describing the capabilities of this copy of the partition: master, secondary, read-only or subordinate reference.
3. A value indicating the current state of the replica (new, dying, locked, changing state, splitting, joining, moving).
4. A number representing the replica (all replicas of a partition have different numbers that are assigned when the replicas are created).
5. A referral containing a count of the addresses and one or more network addresses that hint at the node at which the server probably resides. Since servers are accessible over different protocols, the server may have an address for each supported protocol.

The matching rules for values of Replica Pointer are based on the replica server name field only, and are the same as those for Distinguished Name.

Matching Rules: Equality

See Also:
  `NdsSyntaxId`, Serialized Form

Constructor Summary
`NdsReplicaPointer(java.lang.String serverName, int replicaType, int replicaNumber, NdsNetAddress[] replicaAddressHint)` Constructs an NdsReplicaPointer object based on the specified serverName, replicaType, replicaNumber, and replicaAddressHint parameters.

Method Summary
`boolean` | `approximate(java.lang.Object anObject)` Compares two Objects using the approximate matching rule.
`java.lang.Object` | `clone()` Creates a new object of the same class as this object.
`int` | `compareTo(java.lang.Object anObject)` Compares two objects for ordering, or compares two strings lexicographically.
`int` | `count()` Returns the number of elements in this sequence.
`boolean` | `equals(java.lang.Object anObject)` Compares two Objects for equality.
`int` | `getCount()` Returns the length of the replicaAddressHint as an int.
`int` | `getNdsSyntaxId()` Returns the int that represents the NDS syntax ID.
`NdsNetAddress[]` | `getReplicaAddressHint()` Returns the replicaAddressHint array as a Net Address array.
`int` | `getReplicaNumber()` Returns the replica number as an int.
`int` | `getReplicaType()` Returns the replica type as an int.
`java.lang.String` | `getServerName()` Returns the server name as a String.
`` | `getValue(java.lang.String compositeId)` Returns a SchemaValue object based on the given passed-in string containing the element value.
`java.util.Enumeration` | `getValueIds()` Returns an enumeration of element IDs in this composite.
`java.util.Enumeration` | `getValues()` Returns an enumeration of this sequence's values.
`boolean` | `supportsMatchingRules(int matchingRules)` Checks to see if this object supports the specified matching rules.
`java.lang.String` | `toString()` Generates a string representation of the object.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NdsReplicaPointer

    public NdsReplicaPointer(java.lang.String serverName,
                             int replicaType,
                             int replicaNumber,
                             NdsNetAddress[] replicaAddressHint)

  Constructs an NdsReplicaPointer object based on the specified serverName, replicaType, replicaNumber, and replicaAddressHint parameters.
  Parameters:
    `serverName` - The name of the server storing the replica stored as a String value.
    `replicaType` - The replica type (master, secondary, read-only, subordinate reference) stored as an int.
    `replicaNumber` - The replica number stored as an int.
    `replicaAddressHint` - The referral to the replica address stored as a NdsNetAddress object array.

Method Detail

### compareTo

    public int compareTo(java.lang.Object anObject)
                  throws java.lang.Exception

  Compares two objects for ordering, or compares two strings lexicographically. The compareTo method does not apply to the Replica Pointer syntax because this syntax does not support the ordering and substrings matching rules.

### equals

    public boolean equals(java.lang.Object anObject)

  Compares two Objects for equality. The equals method compares this object value with the value of the reference object in the anObject parameter.

  The equals method implements the most discriminating possible equivalence relation on objects; that is, for any reference values X and Y, this method returns TRUE if and only if X and Y refer to the same object (X==Y has the value TRUE).

  Parameters:
    `anObject` - The reference object with which to compare.
  Returns:
    A boolean set to TRUE if and only if the argument is not NULL and is an NDS integer object that contains the same value as this object, otherwise set to FALSE.
  Overrides:
    equals in class java.lang.Object

### count

    public int count()

  Returns the number of elements in this sequence.
  Specified by:
    count in interface
  Returns:
    The number of elements in this sequence as an int.

### getValue

    public  getValue(java.lang.String compositeId)

  Returns a SchemaValue object based on the given passed-in string containing the element value. The SchemaValue object is a Java language data type.
  Specified by:
    getValue in interface
  Parameters:
    `compositeId` - The passed-in string containing the element value.
  Returns:
    The SchemaValue object containing the serverName, replicaType and replicaNumber, or NULL.

### getValueIds

    public java.util.Enumeration getValueIds()

  Returns an enumeration of element IDs in this composite.
  Specified by:
    getValueIds in interface
  Returns:
    An enumeration of element IDs.

### getValues

    public java.util.Enumeration getValues()

  Returns an enumeration of this sequence's values.
  Specified by:
    getValues in interface
  Returns:
    An enumeration of this sequence's values.

### approximate

    public boolean approximate(java.lang.Object anObject)
                        throws java.lang.Exception

  Compares two Objects using the approximate matching rule. The approximate method does not apply to the Replica Pointer syntax because this syntax does not support the approximate equals matching rule.
  Specified by:
    approximate in interface NdsAttributeValue

### getNdsSyntaxId

    public int getNdsSyntaxId()

  Returns the int that represents the NDS syntax ID.
  Specified by:
    getNdsSyntaxId in interface NdsAttributeValue
  Returns:
    The syntax ID as an int.

### supportsMatchingRules

    public boolean supportsMatchingRules(int matchingRules)

  Checks to see if this object supports the specified matching rules. The Replica Pointer syntax supports only the equality matching rule.
  Specified by:
    supportsMatchingRules in interface NdsAttributeValue
  Parameters:
    `matchingRules` - The set of matching rules to check.
  Returns:
    A Boolean set to TRUE if the matching rules for this object are equal to the matchingRules parameter.

### clone

    public java.lang.Object clone()

  Creates a new object of the same class as this object. It then initializes each of the new object's fields by assigning them the same value as the corresponding fields in this object. No constructor is called.
  Returns:
    A clone of this object instance containing the cloned syntax.
  Overrides:
    clone in class java.lang.Object

### toString

    public java.lang.String toString()

  Generates a string representation of the object. It returns a string that textually represents the object. The result should be a concise but informative representation that is easy to read.
  Returns:
    The String representation of the object.
  Overrides:
    toString in class java.lang.Object

### getServerName

    public java.lang.String getServerName()

  Returns the server name as a String.
  Returns:
    The server name string.

### getReplicaType

    public int getReplicaType()

  Returns the replica type as an int.
  Returns:
    The replica type.

### getReplicaNumber

    public int getReplicaNumber()

  Returns the replica number as an int.
  Returns:
    The replica number.

### getCount

    public int getCount()

  Returns the length of the replicaAddressHint as an int.
  Returns:
    The length of the replicaAddressHint.

### getReplicaAddressHint

    public NdsNetAddress[] getReplicaAddressHint()

  Returns the replicaAddressHint array as a Net Address array.
  Returns:
    The replicaAddressHint array.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD